Subject: Re: [TICTOC] consensus question on change of scope for the 1588 mib document

From: Kevin Gross <[email-masked]>
Date: Fri, 11 Jan 2013 12:43:05 -0700

The draft purports that this is that this MIB is one of several modular
parts which combine to presumably provide comprehensive configuration and
monitoring. If that modular approach can actually be pursued, we can finish
this MIB as defined and then go to work on a writable one. I sort of doubt
that approach will be technically effective but if someone can cite an
example of another project done in this way, maybe I can get over my
skepticism.

As or if the scope of this effort increases another complication that
becomes stronger is the interaction with the small multitude of other
1588-related MIBs that have already been published. How does functionality
overlap. Do we want to borrow good ideas from previous efforts. Do we want
to try and unify all of this?

In summary, I'm usually opposed to increasing scope but I question whether
the originally defined scope was sufficiently useful. I was not involved at
the outset of this effort so my understanding of the original development
plan is limited.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

On Thu, Nov 15, 2012 at 4:02 PM, Karen O'Donoghue <[email-masked]> wrote:

>  Greg,
>
> I don't expect this change to be a small deal. However, the authors have
> indicated they can accomplish the change without a significant delay in
> getting the document to WGLC. The reviews we've had thus far are informal,
> and the formal MIB Doctor review won't occur until the document goes to the
> IESG.
>
> Karen
>
>
> On 11/15/12 12:57 PM, Greg Mirsky wrote:
>
> Dear Yaakov, et al.,
> changing from R/O paradigm to R/W is never a small deal. It is, IMHO, an
> endeavor. Had the R/O version been through MIB Doctor review? I'd expect it
> to be ran though again once R/W objects introduced.
>
> Regards,
> Greg
>
> On Thu, Nov 15, 2012 at 12:53 AM, Yaakov Stein <[email-masked]> wrote:
>
>> With chair hat off -
>>
>> I am in favor of the change as long as it remains a minor change,
>> and introduce radically new functionality.
>>
>> Y(J)S
>>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On Behalf
>> Of Karen O'Donoghue
>> Sent: Tuesday, November 13, 2012 13:00
>> To: [email-masked]
>> Subject: [TICTOC] consensus question on change of scope for the 1588 mib
>> document
>>
>> During last week's tictoc meeting at ietf85, it was decided that the mib
>> would be changed from a read only mib to a read/write mib for
>> configuration purposes.
>>
>> The authors proposed this change, and they believe this will not
>> significantly delay publication of the mib.
>>
>> The current draft is available at:
>> http://tools.ietf.org/wg/tictoc/draft-ietf-tictoc-ptp-mib/
>>
>> The feeling in the room was that this was an acceptable change. This
>> email is to confirm that decision and to solicit comments or concerns
>> from the mailing list.
>>
>> Regards,
>> Karen
>>
>>
>> _______________________________________________
>> TICTOC mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tictoc
>> _______________________________________________
>> TICTOC mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/tictoc
>>
>
>
>
> _______________________________________________
> TICTOC mailing [email-masked]://www.ietf.org/mailman/listinfo/tictoc
>
>
>
> _______________________________________________
> TICTOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tictoc
>
>